import 'dart:async';

import 'package:flutter/services.dart';

class Trackingio {
  static const MethodChannel _channel =
      const MethodChannel('com.haoshuo/trackingio');

  /// setDebugable
  static Future setDebuggable(bool debugMode) async {
    await _channel.invokeMethod("setDebugMode", {"debugMode": debugMode});
  }

  ///
  /// init
  static Future init(String appKey, String channel) async {
    await _channel.invokeMethod("init", {"appKey": appKey, "channel": channel});
  }

  ///
  ///login success
  static Future loginSuccess(String accountId) async {
    await _channel.invokeMethod("setLoginSuccess", {"accountId": accountId});
  }

  ///
  ///register
  static Future register(String accountId) async {
    await _channel.invokeMethod("register", {"accountId": accountId});
  }

  ///
  /// event
  static Future event(String eventName, Map<String, dynamic> data) async {
    await _channel.invokeMethod("event", {"name": eventName, "data": data});
  }

  ///
  ///payment
  static Future setPayment(String transactionId, String paymentType,
      String currencyType, double currencyAmount) async {
    _channel.invokeMethod("setPayment", {
      "transactionId": transactionId,
      "paymentType": paymentType,
      "currencyType": currencyType,
      "currencyAmount": currencyAmount,
    });
  }
}
